org.h2.mvstore

## Interface MVStore.Cleaner

All Known Implementing Classes:
  LobStorageMap

Enclosing class:
  MVStore

    public static interface MVStore.Cleaner

Callback interface to perform cleanup after some unused store versions were dropped. Currently removes LOBs, which are known to be out of scope.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cleanup(long oldestVersionToKeep)` Actual procedure for cleanup after some unused store versions were dropped
`boolean` `needCleanup()` Determine if cleanup is needed.

### Method Detail

#### needCleanup

    boolean needCleanup()

Determine if cleanup is needed. This is mainly performance optimization to avoid async call to cleanup().

Returns:
  true if cleanup is required at this time, false otherwise

#### cleanup

    void cleanup(long oldestVersionToKeep)

Actual procedure for cleanup after some unused store versions were dropped

Parameters:
  `oldestVersionToKeep` - in this MVStore